CMSIS-RTOS2: Structs

| CMSIS-RTOS2 Version 2.1.1 Real-Time Operating System: API and RTX Reference Implementation

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Structs
RTX5 Specific API

RTX5 structs. More...

## Data Structures
struct | osRtxThread_t
| Thread Control Block. More...
struct | osRtxTimerFinfo_t
| Timer Function Information. More...
struct | osRtxTimer_t
| Timer Control Block. More...
struct | osRtxEventFlags_t
| Event Flags Control Block. More...
struct | osRtxMutex_t
| Mutex Control Block. More...
struct | osRtxSemaphore_t
| Semaphore Control Block. More...
struct | osRtxMemoryPool_t
| Memory Pool Control Block. More...
struct | osRtxMessageQueue_t
| Message Queue Control Block. More...

## Description

## Data Structure Documentation

struct osRtxThread_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | attr | Object Attributes.
const char * | name | Object Name.
struct osRtxThread_s * | thread_next | Link pointer to next Thread in Object list.
struct osRtxThread_s * | thread_prev | Link pointer to previous Thread in Object list.
struct osRtxThread_s * | delay_next | Link pointer to next Thread in Delay list.
struct osRtxThread_s * | delay_prev | Link pointer to previous Thread in Delay list.
struct osRtxThread_s * | thread_join | Thread waiting to Join.
uint32_t | delay | Delay Time.
int8_t | priority | Thread Priority.
int8_t | priority_base | Base Priority.
uint8_t | stack_frame | Stack Frame (EXC_RETURN[7..0])
uint8_t | flags_options | Thread/Event Flags Options.
uint32_t | wait_flags | Waiting Thread/Event Flags.
uint32_t | thread_flags | Thread Flags.
struct osRtxMutex_s * | mutex_list | Link pointer to list of owned Mutexes.
void * | stack_mem | Stack Memory.
uint32_t | stack_size | Stack Size.
uint32_t | sp | Current Stack Pointer.
uint32_t | thread_addr | Thread entry address.
uint32_t | tz_memory | TrustZone Memory Identifier.

struct osRtxTimerFinfo_t

Data Fields
void * | fp | Function Pointer.
void * | arg | Function Argument.

struct osRtxTimer_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | type | Timer Type (Periodic/One-shot)
const char * | name | Object Name.
struct osRtxTimer_s * | prev | Pointer to previous active Timer.
struct osRtxTimer_s * | next | Pointer to next active Timer.
uint32_t | tick | Timer current Tick.
uint32_t | load | Timer Load value.
osRtxTimerFinfo_t | finfo | Timer Function Info.

struct osRtxEventFlags_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | reserved |
const char * | name | Object Name.
osRtxThread_t * | thread_list | Waiting Threads List.
uint32_t | event_flags | Event Flags.

struct osRtxMutex_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | attr | Object Attributes.
const char * | name | Object Name.
osRtxThread_t * | thread_list | Waiting Threads List.
osRtxThread_t * | owner_thread | Owner Thread.
struct osRtxMutex_s * | owner_prev | Pointer to previous owned Mutex.
struct osRtxMutex_s * | owner_next | Pointer to next owned Mutex.
uint8_t | lock | Lock counter.
uint8_t | padding[3] |

struct osRtxSemaphore_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | reserved |
const char * | name | Object Name.
osRtxThread_t * | thread_list | Waiting Threads List.
uint16_t | tokens | Current number of tokens.
uint16_t | max_tokens | Maximum number of tokens.

struct osRtxMemoryPool_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | reserved |
const char * | name | Object Name.
osRtxThread_t * | thread_list | Waiting Threads List.
osRtxMpInfo_t | mp_info | Memory Pool Info.

struct osRtxMessageQueue_t

Data Fields
uint8_t | id | Object Identifier.
uint8_t | state | Object State.
uint8_t | flags | Object Flags.
uint8_t | reserved |
const char * | name | Object Name.
osRtxThread_t * | thread_list | Waiting Threads List.
osRtxMpInfo_t | mp_info | Memory Pool Info.
uint32_t | msg_size | Message Size.
uint32_t | msg_count | Number of queued Messages.
osRtxMessage_t * | msg_first | Pointer to first Message.
osRtxMessage_t * | msg_last | Pointer to last Message.